version 8
clear
set matsize 180
set logtype text
set mem 800m
set more off
adopath + "brazdspl/%stata/ado"

cd "$root"

capture log close
log using "brazempl/logs/xtreg-firm-secfe.log", replace

local yr 90
use "brazempl/use-firms-`yr'", clear
gen byte year = 90
label var year "Calendar year"
*YR foreach yr in 92 93 94 95 96 97 98 {
foreach yr in 97 {
  append using "brazempl/use-firms-`yr'"
  replace year = `yr' if year==.
  }
tab niv50
* tab niv50, nolab
order firmgrp year
sort firmgrp year
iis niv50
tis year
*YR foreach yr in 90 92 93 94 95 96 97 98 {
foreach yr in 90 97 {
  gen byte indyr`yr' = (year==`yr')
  label var indyr`yr' "Year 19`yr'"
  } 
drop indyr90
xtreg ln_valadd_empl avgxbhat avgpsihat, fe
est2vec firmpia, replace e(r2 r2_a r2_w r2_o r2_b mss tss corr sigma_u sigma_e df_r df_m) name(ln_valadd_empl)
foreach var in ln_sales_empl profit_cap ln_empl ln_cap ln_cap_empl labf_wh_tot labf_skil_tot lntfp lnlp kappa mu {
    xtreg `var' avgxbhat avgpsihat, fe
    est2vec firmpia, addto(firmpia) name(`var')
    }
foreach var in ln_valadd_empl ln_sales_empl profit_cap ln_empl ln_cap ln_cap_empl labf_wh_tot labf_skil_tot lntfp lnlp kappa mu {
*YR xtreg `var' avgxbhat avgpsihat indyr92-indyr98, fe
    xtreg `var' avgxbhat avgpsihat indyr97, fe
    est2vec firmpia, addto(firmpia) name(`var'_yrind)
    }
est2tex firmpia, replace dropall preserve mark(it) digits(4) fancy path(brazempl/tex/v1/sec) label

*YR foreach yr in 90 92 93 94 95 96 97 98 {
foreach yr in 90 97 {
    disp
    disp in green "Year: " in yellow "19`yr'" in green ", Sector: " in yellow "PIA Manufacturing"
    disp
    use "brazempl/use-firms-`yr'", clear
    tab niv50
    * tab niv50, nolab
    sort firmgrp
    iis niv50
    xtreg ln_valadd_empl avgxbhat avgpsihat, fe
    est2vec firm`yr'pia, replace e(r2 r2_a r2_w r2_o r2_b mss tss corr sigma_u sigma_e df_r df_m) name(ln_valadd_empl`yr')
    foreach var in ln_sales_empl profit_cap ln_empl ln_cap ln_cap_empl labf_wh_tot labf_skil_tot lntfp lnlp kappa mu {
        xtreg `var' avgxbhat avgpsihat, fe
        est2vec firm`yr'pia, addto(firm`yr'pia) name(`var'`yr')
        }
    est2tex firm`yr'pia, replace dropall preserve mark(it) digits(4) fancy path(brazempl/tex/v1/sec) label
    }

log close
cd "$home"
